Bug 304477 - Gwenview and dolphin overwrite each other's thumbnails
Summary: Gwenview and dolphin overwrite each other's thumbnails
Status: RESOLVED FIXED
Alias: None
Product: gwenview
Classification: Unclassified
Component: general (show other bugs)
Version: 2.9.0
Platform: Ubuntu Packages Linux
: NOR major (vote)
Target Milestone: ---
Assignee: Gwenview Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-03 00:13 UTC by Benni Hill
Modified: 2012-10-19 13:26 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 2.9.1


Attachments
Uri -> URI (885 bytes, patch)
2012-08-07 16:36 UTC, Benni Hill
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Benni Hill 2012-08-03 00:13:35 UTC
Gwenview and dolphin can't read thumbnails generated by the other app. So when you open a folder in one application for which the other app already has created thumbnails, they get overwritten.

I figured out that gwenview refuses thumbnails generated by dolphin because it is using the tag "Thumb::Uri" whereas dolphin uses "Thumb::URI".

Reproducible: Always

Steps to Reproduce:
To avoid that the generated thumbnails are stored in different folders set the thumbnail size to minimum in each application.
1. Open a folder in thumbnail view in gwenview and wait until thumbs have been generated, close gwenview
2. Open the same folder in dolphin in preview mode, wait until thumbnails have been generated, close dolphin
3. Open the folder again in gwenview, thumbnails are not loaded from thumbnail cache but regenerated, wait until gwenview has finished
4. Open again in dolphin, thumbnails are also regenerated and not loaded from cache
Actual Results:  
Thumbnails are overwritten as soon as the other app opens the folder

Expected Results:  
Gwenview and dolphin should accept each other's thumbnail and show them. If that's not possible then they should not share a thumbnail cache folder.
Comment 1 Aurelien Gateau 2012-08-07 14:04:24 UTC
Git commit 722ad6b0b1679ddee254f3db009bf25a91a3ed5e by Aurélien Gâteau.
Committed on 07/08/2012 at 16:02.
Pushed by gateau into branch 'KDE/4.9'.

Fix wrong key name in thumbnails

This prevented Gwenview from sharing thumbnails with Dolphin and other
Thumbnail-spec compliant applications.

Thanks to Benni Hill for pointing this out.
FIXED-IN: 2.9.1

M  +1    -1    lib/thumbnailloadjob.cpp
M  +20   -0    tests/auto/thumbnailloadjobtest.cpp

http://commits.kde.org/gwenview/722ad6b0b1679ddee254f3db009bf25a91a3ed5e
Comment 2 Benni Hill 2012-08-07 16:36:13 UTC
Created attachment 73028 [details]
Uri -> URI

You forgot two URIs.
Comment 3 Aurelien Gateau 2012-08-08 14:14:43 UTC
Git commit 3f675f29a9fdc44df268655368df6801f4e18fd5 by Aurélien Gâteau, on behalf of Benni Hill.
Committed on 08/08/2012 at 16:12.
Pushed by gateau into branch 'KDE/4.9'.

More Uri -> URI changes.

M  +2    -2    lib/thumbnailloadjob.cpp

http://commits.kde.org/gwenview/3f675f29a9fdc44df268655368df6801f4e18fd5
Comment 4 Aurelien Gateau 2012-08-08 14:15:17 UTC
Thanks for catching this, Benni.